#! /bin/bash
# =================================================================================================
# SCRIPT launch-godraw-wine.sh		Run GoDraw.exe in wine			Geoff Kaniuk 18/05/2018
#
#
# ACKNOWLEGEMENT
# Thanks to John Collins for pioneering running GoDraw in Wine. This script is based on his original
# in Godraw-Linux.tar.gz
#
# COMMAND
#~/.../GoDraw-Wine$ bash launch-godraw-wine.sh
# 
# ACTION
# Runs GoDraw.exe in wine.
# =================================================================================================

#										Invocation check										
if [ $(basename $PWD) != "GoDraw-Wine" ] 
then echo "Script $(basename $0) is expected to be in directory GoDraw-Wine"
echo -n "Abort "; read q; exit
exit
fi

#										Library source check
source lib-godraw-wine.sh
if [ ! -v LIB_GODRAW_WINE ]
then echo "Library lib-godraw-wine.sh not loaded"
echo -n "Abort "; read q; exit
exit
fi

#										GoDraw.exe sanity check
if_insane_godrawsys_abort

cd $HOME/$_WINE_GDSYS
exec $_WINE_BIN GoDraw.exe

# END launch-godraw-wine.sh
# =================================================================================================

