# =================================================================================================
# SCRIPT lib-godraw-wine-lib		Common source for all scripts			Geoff Kaniuk 19/05/2018
#
# ACKNOWLEGEMENT
# Thanks to John Collins for pioneering running GoDraw in Wine. This script is based on his original
# in Godraw-Linux.tar.gz
# =================================================================================================

#								Detect included source
LIB_GODRAW_WINE=1

# 								Local read-only shell constants
declare -r _REF_MANUAL="Please refer to the manual."
declare -r _GODRAW_WINE='GoDraw-Wine'
declare -rx _WINE_PUBLIC='.wine/drive_c/users/Public'
declare -rx _WINE_GDSYS=$_WINE_PUBLIC/GoDrawSys
declare -r _WINE_TOURS=$_WINE_GDSYS/Tours

declare -x _WINE_BIN

function now_abort()
{
	echo -n "Abort "; read q; exit
}

function get_reply_yesno() 
{
	echo -n "$1 "; read RESPONSE

	if [ -z $RESPONSE ]; then abort_now; fi
	FIRST=${RESPONSE:0:1} 
	LOWERED=${FIRST,}
	if [ $LOWERED != "y" ]; then abort_now; fi
}

function if_insane_wine_abort()
{
	_WINE_BIN=$(which wine)
	if [ -z $_WINE_BIN ]
	then echo "There is no wine executable binary. $_REF_MANUAL"
	now_abort
	fi
}

function if_insane_wine_public_abort()
{
	if_insane_wine_abort

	WINEPUBLIC=$HOME/$_WINE_PUBLIC
	if [ ! -d $WINEPUBLIC ]
	then echo "The wine installion is incomplete. $_REF_MANUAL"
	now_abort
	fi
}

function if_insane_godrawsys_abort()
{
	if_insane_wine_abort

	GODRAWSYS=$HOME/$_WINE_GDSYS
	if [ ! -d $GODRAWSYS ]
	then echo "Cannot find directory GoDrawSys in .wine."
	echo "The full path should be [$GODRAWSYS]."
	echo $_REF_MANUAL
	now_abort
	fi

	GODRAW=$HOME/$_WINE_GDSYS/GoDraw.exe
	if [ ! -e $GODRAW ]
	then echo "There is no GoDraw.exe in GoDrawSys. $_REF_MANUAL"
	now_abort
	fi
}

export _WINE_BIN _WINE_GDSYS
export -f now_abort get_reply_yesno
export -f if_insane_wine_abort if_insane_wine_public_abort if_insane_godrawsys_abort 

# END lib-desktop-godraw-wine.sh
# =================================================================================================

