#! /bin/bash
# =================================================================================================
# SCRIPT make-godraw-desktops.sh		Create useful .desktop files		Geoff Kaniuk 26/05/2018			
#																			
# COMMAND
# ~/.../GoDraw-Wine$ bash make-godraw-desktops.sh
#
# ACTION
# 	Creates .desktop files in ../GoDraw-Wine  See the manual how to use these	
# =================================================================================================

#										Invocation check										
if [ $(basename $PWD) != "GoDraw-Wine" ] 
then echo "Script $(basename $0) is expected to be in directory GoDraw-Wine"
echo -n "Abort "; read q; exit
fi

echo "making $PWD/extract-godraw-wine.desktop"
cat >$PWD/extract-godraw-wine.desktop <<EOF
[Desktop Entry]
Name=ExtractGoDraw
Name[en_GB]=ExtractGoDraw
Icon=extract-godraw-icon.png
Type=Application
Terminal=false
Encoding=UTF-8
Version=1.0
Categories=Applications
Path=$PWD
Exec=bash extract-godraw-wine.sh
EOF

echo "making $PWD/launch-godraw-wine.desktop"
cat >$PWD/launch-godraw-wine.desktop <<EOF
[Desktop Entry]
Name=GoDraw
Name[en_GB]=GoDraw
Icon=godraw-icon.png
Type=Application
Terminal=false
Encoding=UTF-8
Version=1.0
Categories=Applications, GoDraw
Path=$PWD
Exec=bash launch-godraw-wine.sh
EOF

echo "Please see the manual on where to locate the .desktop files and how to change the icons."

# END make-godraw-desktops.sh
# =================================================================================================

