#! /bin/bash
# =================================================================================================
# SCRIPT make-godraw-links.sh		Create useful links						Geoff Kaniuk 26/05/2018			
#																			
# COMMAND
# ~/.../GoDraw-Wine$ bash make-godraw-links.sh
#
# ACTION
# 	Creates links in ../GoDraw-Wine to GoDrawSys and GoDrawSys/Tours
# =================================================================================================

#										Invocation check										
if [ $(basename $PWD) != "GoDraw-Wine" ] 
then echo "Script $(basename $0) is expected to be in directory GoDraw-Wine"
echo -n "Abort "; read q; exit
fi

WINEPUBLIC=$HOME/.wine/drive_c/users/Public
TOURS=$WINEPUBLIC/GoDrawSys/Tours
if [ ! -d $TOURS ]
then echo "Cannot find directory GoDrawSys/Tours in .wine."
echo "The full path should be [$TOURS]."
echo $_REF_MANUAL
echo -n "Abort "; read q; exit
fi

ln -s $TOURS ../wine-tours
ln -s $(dirname $TOURS) ../wine-godrawsys


GWINE=$(dirname $(dirname $PWD)) 
echo "Links created in $GWINE."
echo "Please see the manual for usage."

# END make-godraw-links.sh
# =================================================================================================

